//
//  TestViewController.m
//  klout-ios-starter
//
//  Created by Jieren Chen on 9/5/12.
//  Copyright (c) 2012 Klout. All rights reserved.
//

#import "TestViewController.h"

@implementation TestViewController
@synthesize theAdapter, theLabel;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    [KloutPassButton version];
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        
        self.theAdapter = [[KloutPassAdapter alloc] initWithSuperView:self.view
                                                    withDelegate:self];
        
        self.theLabel.numberOfLines = 0;
        self.theLabel.lineBreakMode = UILineBreakModeWordWrap;
        
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


#pragma adapter delegate methods
- (void) completedLogin
{
    [theAdapter requestUser];
    
}

- (void) completedUserFetch:(NSString*)userPayload {
    
    NSLog(@"Finished fetch: %@", userPayload);
    [theLabel setText:userPayload];
}

- (void) error:(KloutPassError*)theError {
    
    NSLog(@"ERROR: %@", [theError errorMessage]);
}

- (NSString*) apiKey {
    return @"APIKEY";
}

- (NSString*) apiSecret {
    return @"SECRET";
}

- (NSString*) redirect {
    return @"http://localhost:8080/complete";
}


#pragma other delegate methods
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return YES;
}

- (IBAction)loginButtonPressed:(id)sender {
    
    NSLog(@"Button pressed");
    if ([self.theAdapter isLoggedIn]) {
        [theLabel setText:@""];
        [self.theAdapter logout];
    } else {        
        [self.theAdapter login];
    }
}

- (void) dealloc {
    
    self.theLabel = nil;
	self.theAdapter = nil;
    [super dealloc];
}

@end
